Name:           librepfunc
Version:        1.10.0
Release:        1%{?dist}
License:        GPLv2
Summary:        This is librepfunc - a collection of functions, classes and so on, which i use often.
Url:            https://github.com/wirbel-at-vdr-portal/librepfunc
Source0:        %{name}-%{version}.tar.gz
Patch0:         librepfunc-libdir.patch
BuildRequires:  gcc-c++

%description
This is a collection is utilities and functions, which i personally use in my projects, shifting them into a lib helps me not reinvent the wheel every time.

%package devel
Summary:        Header files for librepfunc library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
This package includes the header files for librepfunc.

%prep
%setup -q
%patch 0 -p1

%build
make %{?_smp_mflags}

%install
%make_install
rm -rf %{buildroot}/usr/share/doc/%{name}.so.%{version}

%post -p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%doc COPYING 
%doc README
%{_libdir}/librepfunc.so.1*
%{_mandir}/man1

%files devel
%{_libdir}/pkgconfig/librepfunc.pc
%{_libdir}/librepfunc.so
%{_includedir}/repfunc.h

%changelog
